#!/usr/bin/perl

# Usage:
# Tag individual parts of posts in tin with "t" (IN ORDER!)
# choose s)ave, and choose T)agged articles (note case)
# choose a basename: eg myfile.bn
# files will be saved as myfile.bn.01 .. myfile.bn.XX
# run this script bnews-combine.pl myfile.bn.* and pipe the
# output to bnewsdecoder
# $Id: bnews-combine.pl.in,v 1.1 2002/03/08 09:13:07 stef Exp $

use FileHandle;

while ($file = shift @ARGV) {
	$fh = FileHandle->new ($file, "r") or die;
	my $body = 0;
	while ($_ = <$fh>) {
		/^$/ and $body++, next;
		print if ($body == 1);
	}
	$fh->close;
	
}
